Subject: Re: VPATH broken with multiple dirs
From: David Means <[email-masked]>
To: Christopher Seawood <[email-masked]>
Cc: [email-masked]
Date: 18 Jan 2003 09:16:42 -0500

An interesting problem.  I'm not sure there's a programatic way to solve
it.  While spaces are allowed in unix paths, VPATH obviously doesn't
account for this behaviour and assumes spaces are delimiters.. However,
MSDOS/Windows VPATH requires semicolons.  I would assume that it does
not allow spaces as a delimiter since they're frequently found in paths
and hence, would break the parse.

"In the VPATH variable, directory names are separated by colons or
blanks. The order in which directories are listed is the order followed
by make in its search. (On MS-DOS and MS-Windows, semi-colons are used
as separators of directory names in VPATH, since the colon can be used
in the pathname itself, after the drive letter.)"

http://www.delorie.com/gnu/docs/make/make_27.html

Good Hunting!

David

On Sat, 2003-01-18 at 05:44, Christopher Seawood wrote:

> Christopher Seawood wrote:
> 
> > Before: VPATH = c:/root/rmch/mozilla/js/src/xpconnect
> > c:/root/rmch/mozilla/js/src/xpconnect/idl
> > 
> > After: VPATH = /cygdrive/c/root/rmch/mozilla/js/src/xpconnect
> > c:/root/rmch/mozilla/js/src/xpconnect/idl
> > 
> > This implies that the cygwin_win32_to_posix_path_list() function doesn't
> > support converting multiple paths.  I haven't grabbed the cygwin dll
> > sources yet. Does anyone know authoritatively if that's the case?
> 
> After playing around for a bit, I discovered that if I used ; to 
> separate the dirs instead of a space, then the conversion function 
> worked fine for all dirs and the other source files were found.  This, 
> of course, breaks the unix builds but I can deal with that.
> 
> - cls
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
David Means

C makes it easy for you to shoot yourself in the foot.  C++ makes that
harder, but when you do, it blows away your whole leg.
-- Bjarne Stroustrup